package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

import sample.vo.EmpVO;

public class EmpDelete extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericDao dao = this.getDao( "test-dao" );
        int cnt = 0;

        if ( ctx.get( "chk" ) != null && ctx.get( "chk" ) instanceof String[] )
        {
            String checked[] = (String[]) ctx.get( "chk" );
            Object value = ctx.get( "EMPNO" );
            if ( value instanceof String[] )
            {
                String[] empno = (String[]) ctx.get( "EMPNO" );
                EmpVO paramMap = new EmpVO();
                for ( String chk : checked )
                {
                    int idx = Integer.parseInt( chk );
                    paramMap.setEmpno( Long.parseLong(empno[idx]) );
                    cnt += dao.delete( "emp.custom.mapper.deleteEmp", new GlueParameter<EmpVO>( paramMap ) );
                }
                ctx.put( "deleteCnt", cnt );
            } else
            {
                logger.debug( "check value" );
            }
        } else
        {
            logger.debug( "check value" );
        }

        return GlueBizControlConstants.SUCCESS;
    }
}