package sample.activity;

import java.util.List;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

import sample.vo.EmpVO;

public class EmpFind extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericDao dao = this.getDao( "test-dao" );

        EmpVO paramMap = new EmpVO();
        Object deptno = ctx.get( "deptno" );
        if ( deptno instanceof String[] )
        {
        	paramMap.setDeptno( Long.parseLong(((String[]) deptno )[0]) );
        } else if ( deptno instanceof String )
        {
        	paramMap.setDeptno( Long.parseLong( (String)deptno ) );            
        } else
        {
            logger.debug( "check value" );
            paramMap.setDeptno( (long) 0 );
        }

        List<?> result = dao.find( "emp.custom.mapper.getEmp", new GlueParameter<EmpVO>( paramMap ) );
        ctx.put( "empList", result );

        return GlueBizControlConstants.SUCCESS;
    }
}