package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

import sample.vo.EmpVO;

public class EmpInsert extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericDao dao = this.getDao( "test-dao" );

        EmpVO paramMap = new EmpVO();
        Object empno = ctx.get( "empno_insert" );
        if ( empno instanceof String[] )
        {        	
        	paramMap.setEmpno( Long.parseLong(((String[]) empno )[0]) );
        } else if ( empno instanceof String )
        {
        	paramMap.setEmpno( Long.parseLong((String)empno) );
        } else
        {
            logger.debug( "check value" );
            paramMap.setEmpno( (long) 0 );
        }

        Object ename = ctx.get( "ename_insert" );
        if ( ename instanceof String[] )
        {
        	paramMap.setEname( ((String[]) ename )[0] );
        } else if ( ename instanceof String )
        {
        	paramMap.setEname( (String) ename );            
        } else
        {
            logger.debug( "check value" );
            paramMap.setEname( "" );
        }

        Object sal = ctx.get( "sal_insert" );
        if ( sal instanceof String[] )
        {
        	paramMap.setSal( Long.parseLong(((String[]) sal )[0]) );            
        } else if ( sal instanceof String )
        {
        	paramMap.setSal( Long.parseLong((String)sal) );
        } else
        {
            logger.debug( "check value" );
            paramMap.setSal( (long) 0 );
        }

        Object deptno = ctx.get( "deptno_insert" );
        if ( deptno instanceof String[] )
        {
        	paramMap.setDeptno( Long.parseLong(((String[]) deptno )[0]) );
        } else if ( deptno instanceof String )
        {
        	paramMap.setDeptno( Long.parseLong( (String)deptno ) );            
        } else
        {
            logger.debug( "check value" );
            paramMap.setDeptno( (long) 0 );
        }

        int cnt = dao.insert( "emp.custom.mapper.insertEmp", new GlueParameter<EmpVO>( paramMap ) );
        ctx.put( "insertCnt", cnt );

        return GlueBizControlConstants.SUCCESS;
    }
}