package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

import sample.vo.EmpVO;

public class EmpUpdate extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericDao dao = this.getDao( "test-dao" );
        int cnt = 0;

        if ( ctx.get( "chk" ) != null && ctx.get( "chk" ) instanceof String[] )
        {
            String checked[] = (String[]) ctx.get( "chk" );
            Object empnoObj = ctx.get( "EMPNO" );
            Object enameObj = ctx.get( "ENAME" );
            Object salObj = ctx.get( "SAL" );
            if ( empnoObj instanceof String[] && enameObj instanceof String[] && salObj instanceof String[] )
            {
                String[] empno = (String[]) empnoObj;
                String[] ename = (String[]) enameObj;
                String[] sal = (String[]) salObj;
                EmpVO paramEmp = null;
                for ( String chk : checked )
                {
                    int idx = Integer.parseInt( chk );
                    
                    paramEmp = new EmpVO();
                    paramEmp.setEmpno( Long.parseLong( empno[idx] ) );
                    paramEmp.setEname( ename[idx] );
                    paramEmp.setSal( Long.parseLong( sal[idx] ) );
                    cnt += dao.update( "emp.custom.mapper.updateEmp", new GlueParameter<EmpVO>( paramEmp ) );
                }
                ctx.put( "updateCnt", cnt );
            } else
            {
                logger.debug( "check value" );
            }
        } else
        {
            logger.debug( "check value" );
        }

        return GlueBizControlConstants.SUCCESS;
    }
}