package test;

import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import sample.vo.EmpVO;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class ServiceTest_sample12
{
    public static void main( String args[] )
    {
        GlueContext ctx = null;
        GlueBizController bizIF = GlueBizProvider.getController();
        String serviceName = "sample12-service";

        System.out.println( "...\t" );
        System.out.println( "...\t>> start <<\t..............................." );
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, serviceName );
        ctx.put( "deptno", "10" );
        bizIF.doAction( ctx );
        List<EmpVO> empList = (List<EmpVO>) ctx.get( "empList" );
        
        if (empList != null) {
	        for ( EmpVO row : empList )
	        {
	            System.out.println( "...\t" + ToStringBuilder.reflectionToString( row, ToStringStyle.DEFAULT_STYLE ) );
	        }
	        System.out.println( "...\t>> end <<\t................................." );
        }

        System.out.println( "...\t" );
        System.out.println( "...\t>> start <<\t..............................." );
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, serviceName );
        ctx.put( "deptno", "10" );
        ctx.put( "delete", "event" );
        ctx.put( "EMPNO", new String[] { "1111", "1112", "1113", "1114", "1115" } );
        ctx.put( "chk", new String[] { "0", "1", "2", "3", "4" } );
        bizIF.doAction( ctx );
        empList = (List<EmpVO>) ctx.get( "empList" );
        for ( EmpVO row : empList )
        {
            System.out.println( "...\t" + ToStringBuilder.reflectionToString( row, ToStringStyle.DEFAULT_STYLE ) );
        }
        System.out.println( "...\t>> end <<\t................................." );

        System.out.println( "...\t" );
        System.out.println( "...\t>> start <<\t..............................." );
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, serviceName );
        ctx.put( "deptno", "10" );
        ctx.put( "insert", "event" );
        ctx.put( "empno_insert", new String[] { "1111", "1112", "1113", "1114", "1115" } );
        ctx.put( "ename_insert", new String[] { "A", "B", "C", "D", "E" } );
        ctx.put( "sal_insert", new String[] { "3000", "3000", "3000", "3000", "3000" } );
        ctx.put( "deptno_insert", new String[] { "10", "10", "10", "10", "10" } );
        ctx.put( "chk", new String[] { "0", "1", "2", "3", "4" } );
        bizIF.doAction( ctx );
        empList = (List<EmpVO>) ctx.get( "empList" );
        for ( EmpVO row : empList )
        {
            System.out.println( "...\t" + ToStringBuilder.reflectionToString( row, ToStringStyle.DEFAULT_STYLE ) );
        }
        System.out.println( "...\t>> end <<\t................................." );

        System.out.println( "...\t" );
        System.out.println( "...\t>> start <<\t..............................." );
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, serviceName );
        ctx.put( "deptno", "10" );
        ctx.put( "update", "event" );
        // empno=EMPNO|ename=|sal=
        ctx.put( "EMPNO", new String[] { "1111", "1112", "1113", "1114", "1115" } );
        ctx.put( "ENAME", new String[] { "-A", "-B", "-C", "-D", "-E" } );
        ctx.put( "SAL", new String[] { "3300", "3300", "3300", "3300", "3300" } );
        ctx.put( "chk", new String[] { "0", "1", "2", "3", "4" } );
        bizIF.doAction( ctx );
        empList = (List<EmpVO>) ctx.get( "empList" );
        for ( EmpVO row : empList )
        {
            System.out.println( "...\t" + ToStringBuilder.reflectionToString( row, ToStringStyle.DEFAULT_STYLE ) );
        }
        System.out.println( "...\t>> end <<\t................................." );
    }
}
